Download it now!
Bug 108535 - EDITING: Slow scrolling with Formatting marks enabled (DirectWrite)
Summary: EDITING: Slow scrolling with Formatting marks enabled (DirectWrite)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf, regression
Depends on:
Blocks: DirectWrite-Regression
  Show dependency treegraph
 
Reported: 2017-06-14 20:27 UTC by Telesto
Modified: 2017-10-18 11:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-06-14 20:27:45 UTC
Description:
Slow scrolling with Formatting marks enabled

Steps to Reproduce:
1. Open attachment 123400 [details] (bug 98519)
2. Enable Formatting marks CTRL+F10
3. Scroll within the document (with scroll wheel or by dragging the vertical scroll bar). 

Actual Results:  
Sluggish scrolling especially around page 10-12

Expected Results:
Smooth scrolling similar as before


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Versie: 5.4.0.0.beta1 
Build ID: 8672113ead4e403c55e31b1d9a3d1e0f3b299577
CPU-threads: 4; Besturingssysteem:Windows 6.2; UI-render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL

but not in
Versie: 5.3.0.2 
Build ID: 5ad7b2889021c491af62f7930a4b1cb631392f16
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: GL; Layout-Engine: nieuw; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Cor Nouws 2017-06-15 08:21:11 UTC
(In reply to Telesto from comment #0)
> Actual Results:  
> Sluggish scrolling especially around page 10-12

Don't see it on Version: 5.5.0.0.alpha0+
Build ID: 200a566cf106fc724b99c373f16da0058163b28d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-05_23:01:35
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 2 Telesto 2017-06-15 10:01:05 UTC
I can reproduce it also with:
Version: 5.5.0.0.alpha0+
Build ID: 076ed447f694239d5c67adee528ea6e471d909ff
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-09_23:54:20
Locale: nl-NL (nl_NL); Calc: CL

Setting to WinOnly
Comment 3 Buovjaga 2017-06-23 15:29:16 UTC
Yes, Win-only.

It is quite sluggish even with the marks hidden.

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 2404a17e157273430d40ceaa1ab1275e7b50ba6e
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-06-16_23:41:27
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: ab27953d9ef2076e0acd43ed4ba6652732794777
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 23rd 2017
Comment 4 Telesto 2017-09-28 16:18:16 UTC
Repro with:
Versie: 5.3.2.2 
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: standaard; Layout-Engine: nieuw; 
Locale: nl-NL (nl_NL); Calc: CL

but not with:
Versie: 5.3.1.2 
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: standaard; Layout-Engine: nieuw; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Telesto 2017-10-03 17:26:38 UTC
Smooth scrolling with:
Version: 5.3.7.0.0+
Build ID: 8580472270972733cda7fa6ecf23db73359d30bb
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-TDF, Branch:libreoffice-5-3, Time: 2017-10-02_13:08:01
Locale: nl-NL (nl_NL); Calc: CL

Choppy scrolling with: 
Version: 6.0.0.0.alpha0+
Build ID: 4020945651b4f3c636980e2103db440b5c55459c
CPU threads: 4; OS: Windows 6.29; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-09-25_23:14:03
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 Xisco Faulí 2017-10-04 21:00:02 UTC
This is a problem in DirectWrite, thus it's not fixed. My commit only changes the behaviour to use GDI instead, as it was before. The plan is to move to DirectWrite at some point. Keeping it open.
Comment 8 Xisco Faulí 2017-10-18 11:17:32 UTC
Currently there's no way to enable the DirectWrite from the UI, thus closing as
RESOLVED WORKSFORME